package com.pcloud.common.shadow;

import java.io.Serializable;
import java.util.Map;

/**
 * Created by TianChao on 2017/10/24.
 */
public class RecordDto implements Serializable{


    private static final long serialVersionUID = -2187923387716975875L;

    private String path;

    private long permissionId;
    private String ipAddress;
    private int state;
    private int recordType;
    private long duration;

    Long partyId;
    Long userId;
    String partyRole;

    public long getDuration() {
        return duration;
    }

    public void setDuration(long duration) {
        this.duration = duration;
    }

    public Long getPartyId() {
        return partyId;
    }

    public void setPartyId(Long partyId) {
        this.partyId = partyId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getPartyRole() {
        return partyRole;
    }

    public void setPartyRole(String partyRole) {
        this.partyRole = partyRole;
    }

    private Map<String,Object>param;

    public int getRecordType() {
        return recordType;
    }

    public void setRecordType(int recordType) {
        this.recordType = recordType;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public long getPermissionId() {
        return permissionId;
    }

    public void setPermissionId(long permissionId) {
        this.permissionId = permissionId;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public Map<String, Object> getParam() {
        return param;
    }

    public void setParam(Map<String, Object> param) {
        this.param = param;
    }


    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @Override
    public String toString() {
        return "RecordDto{" +
                "path='" + path + '\'' +
                ", permissionId=" + permissionId +
                ", ipAddress='" + ipAddress + '\'' +
                ", state=" + state +
                ", partyId=" + partyId +
                ", userId=" + userId +
                ", partyRole='" + partyRole + '\'' +
                ", param=" + param +
                '}';
    }
}
